fileformat(1)

NAME
fileformat can detect file formats.

SYNOPSIS
fileformat <file> ... [--mime | -m] [--formats <directory>]
fileformat --version
fileformat --help

DESCRIPTION
fileformat displays format name (MP3, PDF, etc.), description and type (Audio, Video, Archives, etc.) for each specified file. With the '-m' or '--mime' option, the program also shows the MIME type and its description. Format descriptions are contained in a special JSON file, whose path is determined by your Amalthea library installation.
If the library was compiled with the ldc2 compiler, the path is: /etc/amalthea-ldc2/fileformats.json The '--formats' option allows you to specify a directory containing JSON files that describe additional file formats.

EXAMPLE
    $ fileformat image.jpg -m
    Displays information about the file format
    and its MIME type for 'image.jpg'.